Bug 16571 - зависимости на rpm-build-java
: зависимости на rpm-build-java
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/java-1.6.0-openjdk)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 21514 21515 21516 21517 21518 21519 21520 21521 21825
:
  Show dependency tree
 
Reported: 2008-08-06 12:55 by
Modified: 2012-03-16 13:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-08-06 12:55:13
Меня смущает установка rpm-build-java и jpackage-utils при установке
java-1.6.0-openjdk.
Получается что устанавливая плугин для firefox, я ещё должен установить лишние
rpm-build-*.
------- Comment #1 From 2008-08-07 20:34:22 -------
a long sing to song...
------- Comment #2 From 2009-01-29 03:16:17 -------
Таким же образом установка openoffice.org влечет jpackage-utils и
rpm-build-java через java-1.6.0-sun
------- Comment #3 From 2009-01-29 12:04:37 -------
Если развешаете баги на пакеты из списка 
http://repocop.altlinux.org/pub/repocop/reports/txt/by-test/altlinux-java-not-buildrequires-rpm-build-java.txt
(кроме maven2-bootstrap-bundle)
то ускорите процесс:)
------- Comment #4 From 2009-03-06 17:27:21 -------
Как прогресс, есть? :-)

А по приведенной ссылке OO.o нету, а то бы повесил :-\
------- Comment #5 From 2009-03-06 18:54:56 -------
как обычно, осталось 4 пакета (не мои), которые блокируют.
Их ругает repocop.
http://repocop.altlinux.org/pub/repocop/reports/txt/by-test/altlinux-java-not-buildrequires-rpm-build-java.txt
------- Comment #6 From 2009-07-02 21:49:13 -------
ping
------- Comment #7 From 2009-07-05 14:54:29 -------
как обычно, осталось 4 пакета (не мои), которые блокируют.
Их ругает repocop.
http://repocop.altlinux.org/pub/repocop/reports/txt/by-test/altlinux-java-not-buildrequires-rpm-build-java.txt
Если развешаете баги на пакеты из списка, то ускорите процесс:)
------- Comment #8 From 2009-07-05 14:55:10 -------
и добавите что этот баг depends на баги на те 4 пакета.
------- Comment #9 From 2009-09-09 19:15:36 -------
*** Bug 21462 has been marked as a duplicate of this bug. ***
------- Comment #10 From 2009-09-10 09:17:31 -------
(В ответ на комментарий №8)
> и добавите что этот баг depends на баги на те 4 пакета.

Добавил аж на 6 :)

Но поскольку мейнтейнером одного из пакетов является lav@, то при всем моем к
нему уважении без NMU, боюсь, никак не обойтись ;)
------- Comment #11 From 2009-09-10 11:12:01 -------
Спасибо!
------- Comment #12 From 2009-10-02 08:40:21 -------
Ну что, вроде все закрыто :)
------- Comment #13 From 2009-10-02 10:44:30 -------
выложил jpackage-utils-1.7.6-alt9.
Если за выходные при пересборке ничего не сломается, то так и оставим.
------- Comment #14 From 2009-10-02 11:54:05 -------
Спасибо!
------- Comment #15 From 2009-10-04 13:21:53 -------
как оказалось в результате тестовой пересборки, под раздачу попали еще 3
пакета,
389-ds-console-1.2.0-alt3
freemind-0_9_0-alt3.rc1
vuze-4.2.0.2-alt1
на них тоже нужно навестить баги вида
"добавьте, пожалуйста, BuildRequires: rpm-build-java."

поэтому это изменение временно откатываю,
чтобы не ломать указанные 3 пакета.
------- Comment #16 From 2009-10-04 14:21:52 -------
на vuze не надо баг вешать, она на nobody.
если что, я ее сам поправлю.

> Package: vuze-4.2.0.2-alt1
> Status: Sisyphus/i586 test rebuild failed
> Всвязи с моим переездом на transmission судьба этого бегемотика
> меня не волнует, о чём было сообщено girar-acl'ю.
> -- 
> Sir Raorn.
------- Comment #17 From 2009-10-04 14:47:27 -------
(In reply to comment #16)
> на vuze не надо баг вешать, она на nobody.
> если что, я ее сам поправлю.
Там похоже надо только buildreq прогнать по новой.
------- Comment #18 From 2009-10-04 18:02:23 -------
(В ответ на комментарий №16)
> на vuze не надо баг вешать, она на nobody.

ок, на остальные 2 повесил
------- Comment #19 From 2009-10-08 11:27:42 -------
(В ответ на комментарий №18)
> (В ответ на комментарий №16)
> > на vuze не надо баг вешать, она на nobody.
> 
> ок, на остальные 2 повесил

так что остался только freemind.
------- Comment #20 From 2009-10-23 09:54:46 -------
выложил jpackage-utils-1.7.6-alt13.
Если за выходные при пересборке ничего не сломается, то так и оставим.
------- Comment #21 From 2009-10-26 12:28:37 -------
спасибо